package ru.amse.bazylevich.faeditor.ui.fautomaton.util.impl;

import ru.amse.bazylevich.faeditor.fautomaton.IState;
import ru.amse.bazylevich.faeditor.ui.fautomaton.util.IParser;
import ru.amse.bazylevich.faeditor.ui.fautomaton.util.exceptions.IncorrectStringException;

public class StateLabelParser implements IParser {
	
	private final IState myState;
	
	public StateLabelParser(IState state) {
		myState = state;
	}
	
	@Override
	public void setNewValue(String string) throws IncorrectStringException {
		myState.setLabel(string);
	}
	
	@Override
	public String getString() {
		return myState.getLabel();
	}

}
