package ru.amse.bazylevich.faeditor.fautomaton.impl;

import ru.amse.bazylevich.faeditor.fautomaton.ICondition;
import ru.amse.bazylevich.faeditor.fautomaton.IState;
import ru.amse.bazylevich.faeditor.fautomaton.ITransition;


public class Transition implements ITransition {
	private IState myStart;
	private IState myEnd;
	private ICondition myCondition;
	
	public Transition(IState start, IState end, ICondition condition) {
		myStart = start;
		myEnd = end;
		myCondition = condition;
	}
	
	public IState getStart() {
 		return myStart;
	}
	
	public IState getEnd() {
		return myEnd;
	}
	
	public ICondition getCondition() {
		return myCondition;
	}
	
	public void setCondition(ICondition condition) {
		myCondition = condition;
	}
	
	@Override
	public void setStart(IState state) {
		myStart = state;
	}
	
	@Override
	public void setEnd(IState end) {
		myEnd = end;
	}
	
}
