package ru.amse.bazylevich.faeditor.ui.fautomaton.draw;

import java.awt.Graphics;

import ru.amse.bazylevich.faeditor.ui.fautomaton.IAutomatonPresentation;
import ru.amse.bazylevich.faeditor.ui.fautomaton.IStatePresentation;
import ru.amse.bazylevich.faeditor.ui.fautomaton.util.Point;



public interface IAutomatonDrawer {

	void drawState(IStatePresentation sPresentation, Graphics gc);
	
	void drawInitialState(IStatePresentation sPresentation, Graphics gc);
	
	void drawFinalState(IStatePresentation sPresentation, Graphics gc);
	
	void drawTransitions(IStatePresentation sPresentation, Graphics gc, IAutomatonPresentation aPresentation);
	
	void drawAddingTransition(String condition, Point start, Point end, Graphics gc);
	
}
