package ru.amse.bazylevich.faeditor.ui.fautomaton.tools.util;

import java.awt.Graphics;

import ru.amse.bazylevich.faeditor.ui.fautomaton.util.Point;


public class RectangleDrawer {
	
	public static void drawRectangle(Point current, Point start, Graphics gc) {
		Point leftPoint = getLeftRectangleVertex(start, current);
		Point rightPoint = getRightRectangleVertex(start, current);
		
		int width = rightPoint.getX() - leftPoint.getX();
		int height = rightPoint.getY() - leftPoint.getY();
		gc.drawRect(leftPoint.getX(), leftPoint.getY(), width, height);
	}
	
	public static Point getLeftRectangleVertex(Point start, Point end) {
		return new Point(Math.min(start.getX(), end.getX()), Math.min(start.getY(), end.getY()));
	}
	
	public static Point getRightRectangleVertex(Point start, Point end) {
		return new Point(Math.max(start.getX(), end.getX()), Math.max(start.getY(), end.getY()));
	}
}
